# Projet tuteuré T2

Les étapes du projet tuteuré T2 sont les suivantes :
1. Consulter le groupe qui vous est attribué dans le document des groupes et le rejoindre.
2. Ecouter la présentation du jeu par les membres du groupe.
3. Dupliquer ce fichier d’évaluation dans leur GIT, en suivant la règle de nommage `Evaluation-T4-Prénom_Nom.md`.
4. Ajouter un lien vers ce fichier dans le document des groupes.
5. Jouer à leur jeu, et proposer des améliorations dans la section ci-dessous.
6. Lire le cahier des charges et faire des observations (en utilisant la fonction commentaires si elle est disponible).
7. Assister à la présentation plénière à 14h.
8. Remplir la grille d'évaluation T4 ci-dessous, et remplir le résultat T4.
9. Faire remplir la grille d'évaluation T2 et le résultat T2 ci-dessous par les membres du T4.

## Grille d'évaluation T2 (à remplir par les membres du groupe T4)

- Procédure
  - [ ] La procédure a été suivie à la lettre sans le moindre écart.
  - [ ] La procédure a été globalement suivie.
  - [x] La procédure n'a pas été bien suivie.
- Propositions d'amélioration du jeu
  - [ ] Au moins trois propositions d'améliorations pertinente sont faites.
  - [ ] Au moins trois propositions d'améliorations sont faites.
  - [x] Moins de trois propositions d'améliorations sont faites.
- Propositions d'amélioration du Cahier des charges
  - [ ] Au moins cinq propositions d'améliorations pertinente sont faites.
  - [ ] Au moins cinq propositions d'améliorations sont faites.
  - [x] Moins de cinq propositions d'améliorations sont faites.
- Grille d'évaluation T4 / critères
  - [ ] Tous les critères sont remplis avec pertinence et font l'objet d'une justifications concrète.
  - [ ] Certain critères ont été remplis un peu à l'arrache.
  - [x] Des critères n'ont pas été remplis
- Implication
  - [ ] L'implication T2 été vraiment été cruciale dans le processus du T4.
  - [ ] L'implication T2 a permis d'améliorer le T4.
  - [x] Il y a eu un défaut d'implication T2.

### Résultat T2
- Total d'item « Excellent » (2 point) : 
- Total d'item « Satisfaisant » (1 point) : 
- Total d'item « Insatisfaisant » (0 point) :
- Total des points (sur 10) : 

# Propositions d'amélioration du jeu

- Proposition 1 

- Proposition 2

# Grille d'évaluation T4

## GIT 
- Organisation
  - [x] Les fichiers sources suivent une organisation et des règles de nommage clairement établie.
  - [ ] Les fichiers sources sont tous partagés et organisés.
  - [ ] Certains fichiers sources ne sont pas partagés ou leur organisation laisse à désirer.
- Versioning
  - [x] La granularité des commits est pertinente et les commits sont clairement et systématique renseignés.
  - [ ] La granularité des commits n'est pas pertinente ou les commits ne sont pas clairement et systématiquement renseignés.
  - [ ] La granularité des commits n'est pas pertinente et les commits ne sont pas clairement et systématiquement renseignés.
- Droits d'accès
  - [x] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT et ce dépôt est accessible à tous.
  - [ ] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT.
  - [ ] Julien Gossa n'a pas le rôle avec le plus de droits sur le dépôt GIT.
- README.md
  - [ ] Le README est complet, avec : une présentation du projet, la procédure d'installation et d'exécution, et des captures d'écran du jeu.
  - [x] Le README n'est pas complet.
  - [ ] Il n'y a pas de README.
- CDC.md
  - [x] Le CDC est conforme au document partagé de travail, et les deux sont liés depuis le README.
  - [ ] Le CDC est conforme au document partagé de travail, ou les deux sont liés depuis le README.
  - [ ] Le CDC n'est pas conforme au document partagé de travail, et les deux ne sont pas liés depuis le README.


Justifications :
Organisation
C'est très complet, facile à naviguer et compréhensible.
Versioning
Les commits sont fréquent et complets  
Droits d'accès
rien à redire
README.md
Pas de capture d'écran dans le README
CDC.md
Rien à redire

## Prototype
- Installation
  - [x] Le prototype s'installe sans effort.
  - [ ] Le prototype s'installe en suivant une procédure.
  - [ ] Le prototype ne s'installe pas.
- Exécution
  - [x] Le prototype s'exécute en cliquant sur une icône.
  - [ ] Le prototype s'exécute en suivant une procédure.
  - [ ] Le prototype ne s'exécute pas
- Stabilité
  - [x] Le prototype est parfaitement stable
  - [ ] Le prototype est rarement instable
  - [ ] Le prototype est instable
- Affordabilité
  - [x] Toutes les instructions de jeu sont inclues dans le prototype au cours d'une partie normale.
  - [ ] Les instructions de jeu sont sous forme d'un manuel ou d'un tutoriel à part.
  - [ ] Les instructions de jeu ne sont pas données.
- Transmission du concept
  - [x] Le prototype permet de parfaitement transmettre le concept-cible au joueur.
  - [ ] Le prototype permet de transmettre le concept-cible au joueur.
  - [ ] Le prototype ne permet pas de transmettre le concept-cible au joueur.

Justifications :
Installation
rien à redire
Exécution
rien à redire
Stabilité
rien à redire
Affordabilité
Rien à redire
Transmission du concept
Rien à redire

 
## Cahier des charges
- Modèle de document
  - [x] Le CdC respecte parfaitement le modèle de document.
  - [ ] Le CdC respecte globalement le modèle de document.
  - [ ] Le CdC ne respecte pas le modèle de document.
- Description de l'application
  - [x] La description permet de se faire une idée précise et exhaustive de l'application attendue.
  - [ ] La description permet de se faire une idée de l'application attendue.
  - [ ] La description ne permet pas de se faire une idée de l'application attendue.
- Modèle conceptuel
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) est exhaustif et détaillé.
  - [x] Le modèle conceptuel applicatif (MCD ou digramme de classe) est donné.
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) n'est pas donné.

Justifications : 
Modèle de document
Rien à redire
Description de l'application
Rien à redire
Modèle conceptuel
Manque de détails (touches utilisée, actions plus détailées)

### Fonctionnalités
- Entrées / Actions du joueur
  - [x] La description des entrées permet de connaitre parfaitement les interactions avec l'application.
  - [ ] La description des entrées permet de se faire une première idées des interactions avec l'utilisateur.
  - [ ] La description des entrées ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Sorties / Infomations au joueur
  - [ ] La description des sorties permet de connaitre parfaitement les interactions avec l'application.
  - [x] La description des sorties permet de se faire une première idées des interactions avec l'utilisateur.
  - [ ] La description des sorties ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Description du moteur interne
  - [ ] La description du moteur interne permet de comprendre parfaitement le fonctionnement de l'application.
  - [ ] La description du moteur interne permet de comprendre le fonctionnement de l'application.
  - [x] La description du moteur interne ne permet pas de comprendre le fonctionnement de l'application.
- Découpage modulaire 
  - [x] L'application est couverte par des modules pertinents et pleinement décrits.
  - [ ] L'application est découpée en modules pertinents.
  - [ ] L'application n'est pas découpée en modules pertinents.
- Granularité des fonctionnalités
  - [ ] Les fonctionnalités sont très fines.
  - [x] Les fonctionnalités sont fines.
  - [ ] Les fonctionnalités sont grossières.
- Exhaustivité des fonctionnalités
  - [x] Les fonctionnalités couvrent la totalité de l'application.
  - [ ] Les fonctionnalités couvrent globalement l'application.
  - [ ] Les fonctionnalités ne couvrent pas l'application.
- Description des fonctionnalités
  - [x] Les fonctionnalités sont précisément décrites.
  - [ ] Les fonctionnalités sont décrites.
  - [ ] Les fonctionnalités ne sont pas bien décrites.
- Priorisation des fonctionnalités
  - [x] Les fonctionnalités sont classées par priorités de façon pertinentes.
  - [ ] Les fonctionnalités sont classées par priorités.
  - [ ] Les fonctionnalités ne sont pas classées par priorités.
- Difficulté des fonctionnalités
  - [ ] Les fonctionnalités sont annotées par une difficulté pertinente.
  - [ ] Les fonctionnalités sont annotées par une difficulté.
  - [x] Les fonctionnalités ne sont pas annotées par une difficulté.

Justifications : 

Entrées / Actions du joueur
Rien à redire
Sorties / Infomations au joueur
Ce n'est pas très clair
Description du moteur interne
Utilisation de unity donc pas trop possible
Découpage modulaire 
Rien à redire
Granularité des fonctionnalités
Manque un peut de polish mais fonctionne bien 
Exhaustivité des fonctionnalités
Rien à redire
Description des fonctionnalités
Rien à redire
Priorisation des fonctionnalités
Rien à redire
Difficulté des fonctionnalités
Rien à redire
### Scénarios
- Nombre
  - [ ] Au moins un scénario est pleinement développé et propose au moins deux alternatives.
  - [x] Un scénario est pleinement développé.
  - [ ] Un scénario n'est pas pleinement développé.
- Exhaustivité
  - [x] Le scénario développé s'appuie sur toutes les fonctionnalités.
  - [ ] Le scénario développé s'appuie sur toutes les fonctionnalités principales
  - [ ] Le scénario développé ne s'appuie pas sur toutes les fonctionnalités principales.
- Scénarios additionnels 
  - [ ] Des scénarios additionnels sont proposés, en expliquant leur intérêt. 
  - [ ] Des scénarios additionnels sont proposés. 
  - [x] Des scénarios additionnels ne sont pas proposés.

Justifications :
Nombre
Rien à redire
Exhaustivité
Rien à redire
Scénarios additionnels
Rien à redire

## Résultat T4
- Total d'item « Excellent » (2 point) : 17
- Total d'item « Satisfaisant » (1 point) : 5
- Total d'item « Insatisfaisant » (0 point) : 3
- total des points (sur 50) :39
